Investors, warrants & staking
Create Payment Proof
Registers an already-uploaded file as a payment proof for a warrant (org file plus proof record).
POSThttps://api.toku.com/tga/create-payment-proof
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/tga/create-payment-proof' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fileKey": "string",
"warrantID": "string"
}'200 response
{
"paymentProofID": "string",
"roleInOrgID": "string",
"investorEntityID": "string",
"fileID": "string",
"createdAt": "string",
"updatedAt": "string",
"warrantID": "string",
"file": {
"fileID": "string",
"orgID": "string",
"fileName": "string",
"mimeType": "string",
"fileKey": "string",
"fileBucket": "string",
"fileUploaded": "string",
"fileSizeInBytes": "string",
"createdByUserID": "string",
"createdAt": "string",
"updatedAt": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"type": "string",
"fileURL": "string",
"fileDownloadURL": "string"
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
fileKeystringrequiredwarrantIDstringrequiredResponse
200Successful response
paymentProofIDstringrequiredroleInOrgIDstringrequiredinvestorEntityIDstring | nullrequiredfileIDstringrequiredcreatedAtstringrequiredupdatedAtstringrequiredwarrantIDstring | nullrequiredfileobjectrequiredShow child attributes
fileIDstringrequiredorgIDstringrequiredfileNamestringrequiredmimeTypestringrequiredfileKeystringrequiredfileBucketstringrequiredfileUploadedstring | nullrequiredfileSizeInBytesstring | nullrequiredcreatedByUserIDstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDinteger | nullrequiredtypestringrequiredfileURLstringrequiredfileDownloadURLstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits